org.keycloak.protocol

## Interface LoginProtocol

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    OpenIDConnect, SamlProtocol

      public interface LoginProtocol
      extends Provider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authenticated(UserSessionModel userSession, ClientSessionCode accessCode)`
    `void` | `backchannelLogout(UserSessionModel userSession, ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `cancelLogin(ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `consentDenied(ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `invalidSessionError(ClientSessionModel clientSession)`
    `LoginProtocol` | `setRealm(RealmModel realm)`
    `LoginProtocol` | `setSession(KeycloakSession session)`
    `LoginProtocol` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setSession

          LoginProtocol setSession(KeycloakSession session)

    - #### setRealm

          LoginProtocol setRealm(RealmModel realm)

    - #### setUriInfo

          LoginProtocol setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### cancelLogin

          javax.ws.rs.core.Response cancelLogin(ClientSessionModel clientSession)

    - #### invalidSessionError

          javax.ws.rs.core.Response invalidSessionError(ClientSessionModel clientSession)

    - #### authenticated

          javax.ws.rs.core.Response authenticated(UserSessionModel userSession,
                                                ClientSessionCode accessCode)

    - #### consentDenied

          javax.ws.rs.core.Response consentDenied(ClientSessionModel clientSession)

    - #### backchannelLogout

          void backchannelLogout(UserSessionModel userSession,
                               ClientSessionModel clientSession)

Copyright © 2015. All Rights Reserved.